Collaboratively refund spendable VTXOs.
curl --request POST \
--url https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund \
--header 'Content-Type: application/json' \
--data '
{
"ark_tx": "<string>",
"checkpoint_txs": [
"<string>"
]
}
'import requests
url = "https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund"
payload = {
"ark_tx": "<string>",
"checkpoint_txs": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({ark_tx: '<string>', checkpoint_txs: ['<string>']})
};
fetch('https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ark_tx' => '<string>',
'checkpoint_txs' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund"
payload := strings.NewReader("{\n \"ark_tx\": \"<string>\",\n \"checkpoint_txs\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund")
.header("Content-Type", "application/json")
.body("{\n \"ark_tx\": \"<string>\",\n \"checkpoint_txs\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"ark_tx\": \"<string>\",\n \"checkpoint_txs\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"ark_tx": "<string>",
"checkpoint_txs": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Refunds
Collaboratively refund spendable VTXOs.
The client builds an offchain transaction (ark_tx + checkpoints) spending the VHTLC
via the refund_script leaf, signs as sender, and sends the partially-signed PSBTs here.
The server cosigns as receiver and returns the countersigned PSBTs.
The client then submits to Arkade for the server (3rd) signature.
POST
/
api
/
swap
/
arkade-evm
/
{id}
/
collab-refund
Collaboratively refund spendable VTXOs.
curl --request POST \
--url https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund \
--header 'Content-Type: application/json' \
--data '
{
"ark_tx": "<string>",
"checkpoint_txs": [
"<string>"
]
}
'import requests
url = "https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund"
payload = {
"ark_tx": "<string>",
"checkpoint_txs": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({ark_tx: '<string>', checkpoint_txs: ['<string>']})
};
fetch('https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ark_tx' => '<string>',
'checkpoint_txs' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund"
payload := strings.NewReader("{\n \"ark_tx\": \"<string>\",\n \"checkpoint_txs\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund")
.header("Content-Type", "application/json")
.body("{\n \"ark_tx\": \"<string>\",\n \"checkpoint_txs\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.satora.io/api/swap/arkade-evm/{id}/collab-refund")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"ark_tx\": \"<string>\",\n \"checkpoint_txs\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"ark_tx": "<string>",
"checkpoint_txs": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Path Parameters
Swap ID
Body
application/json